//
//  Player.h
//  Vererbung
//
//  Created by Holger Hinzberg on 27.03.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Person.h"

// Person wird zur Elternklasse von Player
@interface Player : Person <NSCoding> {

    // Der Name des Vereins
    NSString *clubName;
    // Die Trikotnummer
    int shirtNumber;
    // Das Gehalt
    double salary;
}

// Die Methoden des Protokols
-(void)encodeWithCoder:(NSCoder *)aCoder;
-(id)initWithCoder:(NSCoder *)aDecoder;

@property (copy) NSString *clubName;
@property int shirtNumber;
@property double salary;

@end
