//
//  Person.m
//  BeispielProjekt
//
//  Created by Holger Hinzberg on 24.03.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import "Person.h"

@implementation Person

// Anweisungen für den Kompiler für diese
// Bezeichner Accessor-Methoden zu erzeugen.
@synthesize name;
@synthesize firstname;
@synthesize age;

-(id)init
{
	if ((self = [super init]))
	{
		[self setName:@"Müller"];
		[self setFirstname:@"Max"];
		[self setAge:45];
	}
	return self;
}

-(id)initWithName:(NSString *) aName 
		Firstname:(NSString *) aFirstname 
			  Age:(int)aAge 
{
	if ((self = [super init]))
	{
		[self setName:aName];
		[self setFirstname:aFirstname];
		[self setAge:aAge];
	}
	return self;
}

-(NSString *)description
{
	NSString *descr = [[NSString alloc]
                       initWithFormat:@"Ich bin eine Person."];
	return [descr autorelease];
}

-(void)sayYourName
{
	NSLog(@"Mein Name ist %@ %@.", firstname, name);
}

-(void)dealloc
{
	[firstname release];
	[name release];
	[super dealloc];
}

@end
