//
//  main.m
//  Vererbung
//
//  Created by Holger Hinzberg on 27.03.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Player.h"

int main (int argc, const char * argv[])
{
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
    
    // Verkürzte Initialisierung
    Player *aPlayer = [Player new];
    
    /*
    // Aufwändige Initialisierung 
     
    Player *aPlayer = [Player new];
    aPlayer.name = @"Müller";
    aPlayer.firstname = @"Franz";
    aPlayer.age = 22;
    aPlayer.shirtNumber = 7;
    aPlayer.salary = 15000.0;
    aPlayer.clubName = @"Spielverein SC71";
    
    NSLog(@"Spieler: %@ %@", aPlayer.firstname
          , aPlayer.name );
    NSLog(@"Verein : %@", aPlayer.clubName );
    NSLog(@"Gehalt : %.2f", aPlayer.salary );
    */ 
    
    [aPlayer sayYourName];
    
    // Das Objekt wird jetzt nicht mehr benötigt
    // und kann frei gegeben werden.
    [aPlayer release];

    [pool drain];
    return 0;
}

